unit ProgressUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Gauges;

type
  TProgressForm = class(TForm)
    Gauge: TGauge;
    CancelButton: TButton;
    procedure CancelButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ProgressForm: TProgressForm;
  Stop: Boolean;

implementation

{$R *.dfm}

procedure TProgressForm.CancelButtonClick(Sender: TObject);
begin
  Stop := True;
end;

end.
